# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['turbo_alignment',
 'turbo_alignment.cherry_picks',
 'turbo_alignment.cli',
 'turbo_alignment.common',
 'turbo_alignment.common.data',
 'turbo_alignment.common.data.multimodal',
 'turbo_alignment.common.data.multimodal.audio',
 'turbo_alignment.common.data.multimodal.image',
 'turbo_alignment.common.logging',
 'turbo_alignment.common.s3',
 'turbo_alignment.common.tf',
 'turbo_alignment.common.tf.callbacks',
 'turbo_alignment.common.tf.loaders',
 'turbo_alignment.common.tf.loaders.model',
 'turbo_alignment.dataset',
 'turbo_alignment.dataset.base',
 'turbo_alignment.dataset.chat',
 'turbo_alignment.dataset.classification',
 'turbo_alignment.dataset.ddpo',
 'turbo_alignment.dataset.kto',
 'turbo_alignment.dataset.multimodal',
 'turbo_alignment.dataset.pair_preferences',
 'turbo_alignment.dataset.sampling',
 'turbo_alignment.generators',
 'turbo_alignment.metrics',
 'turbo_alignment.modeling',
 'turbo_alignment.modeling.common',
 'turbo_alignment.modeling.imagebind',
 'turbo_alignment.modeling.imagebind.heads',
 'turbo_alignment.modeling.imagebind.postprocessors',
 'turbo_alignment.modeling.imagebind.preprocessors',
 'turbo_alignment.modeling.imagebind.trunks',
 'turbo_alignment.modeling.multimodal',
 'turbo_alignment.modeling.multimodal.encoders',
 'turbo_alignment.modeling.multimodal.encoders.audio',
 'turbo_alignment.modeling.multimodal.encoders.image',
 'turbo_alignment.modeling.multimodal.lm',
 'turbo_alignment.modeling.multimodal.projectors',
 'turbo_alignment.modeling.rag',
 'turbo_alignment.pipelines',
 'turbo_alignment.pipelines.inference',
 'turbo_alignment.pipelines.mixin',
 'turbo_alignment.pipelines.preprocessing',
 'turbo_alignment.pipelines.sampling',
 'turbo_alignment.pipelines.train',
 'turbo_alignment.settings',
 'turbo_alignment.settings.datasets',
 'turbo_alignment.settings.generators',
 'turbo_alignment.settings.generators.outputs',
 'turbo_alignment.settings.pipelines',
 'turbo_alignment.settings.pipelines.common',
 'turbo_alignment.settings.pipelines.inference',
 'turbo_alignment.settings.pipelines.sampling',
 'turbo_alignment.settings.pipelines.train',
 'turbo_alignment.settings.tf',
 'turbo_alignment.trainers']

package_data = \
{'': ['*']}

install_requires = \
['albumentations>=1.3.1,<2.0.0',
 'allenai-common>=1.1.2,<2.0.0',
 'bitsandbytes>=0.41.1,<0.42.0',
 'datasets>=2.18.0,<3.0.0',
 'einops>=0.6.1,<0.7.0',
 'evaluate>=0.4.1,<0.5.0',
 'ftfy>=6.1.1,<7.0.0',
 'hvac>=1.1.1,<2.0.0',
 'iopath>=0.1.10,<0.2.0',
 'jupyter>=1.0.0,<2.0.0',
 'langchain-huggingface>=0.0.3,<0.0.4',
 'loguru>=0.7.0,<0.8.0',
 'numpy>=1.21,<2.0',
 'opencv-python>=4.10.0.84,<5.0.0.0',
 'peft==0.8.2',
 'platformdirs>=3.5.3,<4.0.0',
 'protobuf>=3.20.0,<4.0.0',
 'pydantic-settings>=2.2.1,<3.0.0',
 'pydantic>=2.7.0,<3.0.0',
 'python-dotenv>=1.0.0,<2.0.0',
 'pytorchvideo>=0.1.5,<0.2.0',
 'rouge-score>=0.1.2,<0.2.0',
 'scipy>=1.1.0,<2.0.0',
 'sentence-transformers>=2.2.2,<3.0.0',
 'sentencepiece>=0.1.99,<0.2.0',
 'soundfile>=0.12.1,<0.13.0',
 'timm>=0.9.7,<0.10.0',
 'tomlkit>=0.11.8,<0.12.0',
 'torch==2.1.2',
 'torchaudio>=2.0.2,<3.0.0',
 'transformers==4.42.0',
 'typer>=0.9.0,<0.10.0',
 'wandb>=0.15.3,<0.16.0',
 'wheel>=0.42.0,<0.43.0']

extras_require = \
{'deepspeed': ['deepspeed==0.12', 'accelerate==0.27'],
 'gpu': ['faiss-gpu>=1.7.2,<2.0.0',
         'xformers>=0.0.23.post1,<0.0.24',
         'vllm>=0.4.0.post1,<0.5.0']}

setup_kwargs = {
    'name': 'turbo-alignment',
    'version': '0.0.3',
    'description': 'turbo-alignment repository',
    'long_description': 'None',
    'author': 'T Mega Alignment Team',
    'author_email': 'n.surnachev@tcsbank.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
